## AgsPhaseShiftUtil

AgsPhaseShiftUtil — phase shift util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsPhaseShiftUtil * | ags_phase_shift_util_alloc ()
gpointer | ags_phase_shift_util_copy ()
void | ags_phase_shift_util_free ()
gpointer | ags_phase_shift_util_get_destination ()
void | ags_phase_shift_util_set_destination ()
guint | ags_phase_shift_util_get_destination_stride ()
void | ags_phase_shift_util_set_destination_stride ()
gpointer | ags_phase_shift_util_get_source ()
void | ags_phase_shift_util_set_source ()
guint | ags_phase_shift_util_get_source_stride ()
void | ags_phase_shift_util_set_source_stride ()
guint | ags_phase_shift_util_get_buffer_length ()
void | ags_phase_shift_util_set_buffer_length ()
AgsSoundcardFormat | ags_phase_shift_util_get_format ()
void | ags_phase_shift_util_set_format ()
gdouble | ags_phase_shift_util_get_frequency ()
void | ags_phase_shift_util_set_frequency ()
gdouble | ags_phase_shift_util_get_amount ()
void | ags_phase_shift_util_set_amount ()
gdouble | ags_phase_shift_util_get_phase ()
void | ags_phase_shift_util_set_phase ()
void | ags_phase_shift_util_process_s8 ()
void | ags_phase_shift_util_process_s16 ()
void | ags_phase_shift_util_process_s24 ()
void | ags_phase_shift_util_process_s32 ()
void | ags_phase_shift_util_process_s64 ()
void | ags_phase_shift_util_process_float ()
void | ags_phase_shift_util_process_double ()
void | ags_phase_shift_util_process_complex ()
void | ags_phase_shift_util_process ()

## Types and Values

#define | AGS_PHASE_SHIFT_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsPhaseShiftUtil

## Includes

    #include <ags/audio/ags_phase_shift_util.h>

## Description

Utility functions to compute phase shift.

## Functions

### ags_phase_shift_util_alloc ()

    AgsPhaseShiftUtil *
    ags_phase_shift_util_alloc ();

Allocate AgsPhaseShiftUtil

#### Returns

a new AgsPhaseShiftUtil

Since: 4.0.0

### ags_phase_shift_util_copy ()

    gpointer
    ags_phase_shift_util_copy (AgsPhaseShiftUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsPhaseShiftUtil |

#### Returns

a pointer of the new AgsPhaseShiftUtil

Since: 4.0.0

### ags_phase_shift_util_free ()

    void
    ags_phase_shift_util_free (AgsPhaseShiftUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_get_destination ()

    gpointer
    ags_phase_shift_util_get_destination (AgsPhaseShiftUtil *phase_shift_util);

Get destination buffer of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the destination buffer

Since: 4.0.0

### ags_phase_shift_util_set_destination ()

    void
    ags_phase_shift_util_set_destination (AgsPhaseShiftUtil *phase_shift_util,
                                          gpointer destination);

Set `destination` buffer of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
destination | the destination buffer. | [transfer none]

Since: 4.0.0

### ags_phase_shift_util_get_destination_stride ()

    guint
    ags_phase_shift_util_get_destination_stride
                                   (AgsPhaseShiftUtil *phase_shift_util);

Get destination stride of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the destination buffer stride

Since: 4.0.0

### ags_phase_shift_util_set_destination_stride ()

    void
    ags_phase_shift_util_set_destination_stride
                                   (AgsPhaseShiftUtil *phase_shift_util,
                                    guint destination_stride);

Set `destination` stride of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
destination_stride | the destination buffer stride |

Since: 4.0.0

### ags_phase_shift_util_get_source ()

    gpointer
    ags_phase_shift_util_get_source (AgsPhaseShiftUtil *phase_shift_util);

Get source buffer of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the source buffer

Since: 4.0.0

### ags_phase_shift_util_set_source ()

    void
    ags_phase_shift_util_set_source (AgsPhaseShiftUtil *phase_shift_util,
                                     gpointer source);

Set `source` buffer of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
source | the source buffer. | [transfer none]

Since: 4.0.0

### ags_phase_shift_util_get_source_stride ()

    guint
    ags_phase_shift_util_get_source_stride
                                   (AgsPhaseShiftUtil *phase_shift_util);

Get source stride of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the source buffer stride

Since: 4.0.0

### ags_phase_shift_util_set_source_stride ()

    void
    ags_phase_shift_util_set_source_stride
                                   (AgsPhaseShiftUtil *phase_shift_util,
                                    guint source_stride);

Set `source` stride of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
source_stride | the source buffer stride |

Since: 4.0.0

### ags_phase_shift_util_get_buffer_length ()

    guint
    ags_phase_shift_util_get_buffer_length
                                   (AgsPhaseShiftUtil *phase_shift_util);

Get buffer length of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the buffer length

Since: 4.0.0

### ags_phase_shift_util_set_buffer_length ()

    void
    ags_phase_shift_util_set_buffer_length
                                   (AgsPhaseShiftUtil *phase_shift_util,
                                    guint buffer_length);

Set `buffer_length` of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
buffer_length | the buffer length |

Since: 4.0.0

### ags_phase_shift_util_get_format ()

    AgsSoundcardFormat
    ags_phase_shift_util_get_format (AgsPhaseShiftUtil *phase_shift_util);

Get format of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the format

Since: 4.0.0

### ags_phase_shift_util_set_format ()

    void
    ags_phase_shift_util_set_format (AgsPhaseShiftUtil *phase_shift_util,
                                     AgsSoundcardFormat format);

Set `format` of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
format | the format |

Since: 4.0.0

### ags_phase_shift_util_get_frequency ()

    gdouble
    ags_phase_shift_util_get_frequency (AgsPhaseShiftUtil *phase_shift_util);

Get frequency of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the frequency

Since: 4.0.0

### ags_phase_shift_util_set_frequency ()

    void
    ags_phase_shift_util_set_frequency (AgsPhaseShiftUtil *phase_shift_util,
                                        gdouble frequency);

Set `frequency` of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
frequency | the frequency |

Since: 4.0.0

### ags_phase_shift_util_get_amount ()

    gdouble
    ags_phase_shift_util_get_amount (AgsPhaseShiftUtil *phase_shift_util);

Get amount of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the amount

Since: 4.0.0

### ags_phase_shift_util_set_amount ()

    void
    ags_phase_shift_util_set_amount (AgsPhaseShiftUtil *phase_shift_util,
                                     gdouble amount);

Set `amount` of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
amount | the amount |

Since: 4.0.0

### ags_phase_shift_util_get_phase ()

    gdouble
    ags_phase_shift_util_get_phase (AgsPhaseShiftUtil *phase_shift_util);

Get phase of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

#### Returns

the phase

Since: 4.0.0

### ags_phase_shift_util_set_phase ()

    void
    ags_phase_shift_util_set_phase (AgsPhaseShiftUtil *phase_shift_util,
                                    gdouble phase);

Set `phase` of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |
phase | the phase |

Since: 4.0.0

### ags_phase_shift_util_process_s8 ()

    void
    ags_phase_shift_util_process_s8 (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of signed 8 bit data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_s16 ()

    void
    ags_phase_shift_util_process_s16 (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of signed 16 bit data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_s24 ()

    void
    ags_phase_shift_util_process_s24 (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of signed 24 bit data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_s32 ()

    void
    ags_phase_shift_util_process_s32 (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of signed 32 bit data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_s64 ()

    void
    ags_phase_shift_util_process_s64 (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of signed 64 bit data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_float ()

    void
    ags_phase_shift_util_process_float (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of single precision floating point data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_double ()

    void
    ags_phase_shift_util_process_double (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of double precision floating point data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process_complex ()

    void
    ags_phase_shift_util_process_complex (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` of complex floating point data.

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

### ags_phase_shift_util_process ()

    void
    ags_phase_shift_util_process (AgsPhaseShiftUtil *phase_shift_util);

Process phase shift of `phase_shift_util` .

#### Parameters

phase_shift_util | the AgsPhaseShiftUtil |

Since: 4.0.0

## Types and Values

### AGS_PHASE_SHIFT_UTIL_INITIALIZER

    #define             AGS_PHASE_SHIFT_UTIL_INITIALIZER